UbixOS V2 2.0

Data Fields
sys_ioctl_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_ioctl_args:

## Data Fields
u_long | com
char | com_l_ [0]
char | com_r_ [(sizeof(register_t)<=sizeof(u_long) ? 0 :sizeof(register_t) - sizeof(u_long))]
caddr_t | data
char | data_l_ [0]
char | data_r_ [(sizeof(register_t)<=sizeof(caddr_t) ? 0 :sizeof(register_t) - sizeof(caddr_t))]
int | fd
char | fd_l_ [0]
char | fd_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

## Detailed Description

Definition at line 527 of file sysproto_posix.h.

## Field Documentation

## ◆ com

u_long sys_ioctl_args::com

Definition at line 532 of file sysproto_posix.h.

Referenced by sys_ioctl().

## ◆ com_l_

char sys_ioctl_args::com_l_[0]

Definition at line 531 of file sysproto_posix.h.

## ◆ com_r_

char sys_ioctl_args::com_r_[(sizeof(register_t)<=sizeof(u_long) ? 0 :sizeof(register_t) - sizeof(u_long))]

Definition at line 533 of file sysproto_posix.h.

## ◆ data

caddr_t sys_ioctl_args::data

Definition at line 535 of file sysproto_posix.h.

Referenced by sys_ioctl().

## ◆ data_l_

char sys_ioctl_args::data_l_[0]

Definition at line 534 of file sysproto_posix.h.

## ◆ data_r_

char sys_ioctl_args::data_r_[(sizeof(register_t)<=sizeof(caddr_t) ? 0 :sizeof(register_t) - sizeof(caddr_t))]

Definition at line 536 of file sysproto_posix.h.

## ◆ fd

int sys_ioctl_args::fd

Definition at line 529 of file sysproto_posix.h.

Referenced by sys_ioctl().

## ◆ fd_l_

char sys_ioctl_args::fd_l_[0]

Definition at line 528 of file sysproto_posix.h.

## ◆ fd_r_

char sys_ioctl_args::fd_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 530 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h